Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Remote_Invocation Class Reference

Base class for remote invocations. More...

`#include <Remote_Invocation.h>`

Inheritance diagram for TAO::Remote_Invocation:

[legend]
Collaboration diagram for TAO::Remote_Invocation:

[legend]
List of all members.

## Public Methods
| Remote_Invocation (CORBA::Object_ptr otarget, Profile_Transport_Resolver &resolver, TAO_Operation_Details &detail, bool response_expected)
## Protected Methods
void | init_target_spec (TAO_Target_Specification &spec ACE_ENV_ARG_DECL)
| Initialize the spec.
void | write_header (TAO_Target_Specification &spec, TAO_OutputCDR &out_stream ACE_ENV_ARG_DECL)
| Write the GIOP header into the stream.
void | marshal_data (TAO_OutputCDR &cdr ACE_ENV_ARG_DECL)
| Marshal the arguments into the stream.
Invocation_Status | send_message (TAO_OutputCDR &cdr, short message_semantics, ACE_Time_Value *max_wait_time ACE_ENV_ARG_DECL)
| Write the message onto the socket.
## Protected Attributes
Profile_Transport_Resolver & | resolver_
| Our resolver.

## Detailed Description

Base class for remote invocations.

This class encapulates some of the common functionalities used by synchronous, asynchronous, DII and DSI invocations.

## Constructor & Destructor Documentation

TAO::Remote_Invocation::Remote_Invocation | ( | CORBA::Object_ptr | otarget,
|  | Profile_Transport_Resolver & | resolver,
|  | TAO_Operation_Details & | detail,
|  | bool | response_expected
| ) |

  | Parameters:
  otarget, The | original target on which this invocation was started. This is there to be passed up to its parent class.
  resolver, The | profile and transport holder.
  op, operation | details of the invocation on the target
  response_expected, flag | to indicate whether the operation encapsulated by op returns a response or not.

## Member Function Documentation

void TAO::Remote_Invocation::init_target_spec | ( | TAO_Target_Specification &spec | ACE_ENV_ARG_DECL | ) | `[protected]`

| Initialize the spec.

void TAO::Remote_Invocation::marshal_data | ( | TAO_OutputCDR &cdr | ACE_ENV_ARG_DECL | ) | `[protected]`

| Marshal the arguments into the stream.

Invocation_Status TAO::Remote_Invocation::send_message | ( | TAO_OutputCDR & | cdr,
|  | short | message_semantics,
|  | ACE_Time_Value *max_wait_time | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Write the message onto the socket.

void TAO::Remote_Invocation::write_header | ( | TAO_Target_Specification & | spec,
|  | TAO_OutputCDR &out_stream | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Write the GIOP header into the stream. Mega hack for RTCORBA END

## Member Data Documentation

Profile_Transport_Resolver& TAO::Remote_Invocation::resolver_`[protected]`

| Our resolver.

The documentation for this class was generated from the following files:

- Remote_Invocation.h
- Remote_Invocation.cpp